Subject: bug#36100: closed (Jami leaks memory)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Sep 2020 19:44:02 +0000

Your bug report

#36100: Jami leaks memory

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36100: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36100
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Jami leaks memory
From: sirgazil <[email-masked]>
To: "36100-done" <[email-masked]>
Date: Sun, 27 Sep 2020 14:43:23 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this issue because the package the report was filed against was removed from Guix:

gnu: jami-client-gnome: Remove deprecated package.
commit 8551bc64e4322080ef07b5009f4d46229df8d6f3
Date:   Sun Jul 12 18:00:46 2020 +0200

Also, there is a new package for Jami that I tried out:

Guix System 97e98e2
Jami 20200710.1.6bd18d2

I followed the steps below to try reproduce the issue with this new version and I could not see any memory leak.

1. $ guix install jami
2. Press Alt+F2 and run "jami"
    2.1. Create a Jami account
3. Press Alt+F2 and run "gnome-system-monitor"
4. Click on "Processes"
5. Locate the "jami" process
6. Observe the "Memory" use for a few hours

Problem solved.

Subject: Jami leaks memory
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sat, 01 Jun 2019 09:08:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

When I run Jami in the GNU system installed with Guix, I see that its process called ".gnome-ring-rea" starts using around 36 MiB, but then increases over time at slow pace. After some hours, I notice it reaches 1 GiB of memory usage. I have to finalize the process to release memory. 

This happens even when you are not doing anything in the application.

## Steps to reproduce (using GNOME)

1. $ guix install jami-client-gnome
2. Press Alt+F2 and run "ring.cx"
    [2.1 Create a Jami account]
3. Press Alt+F2 and run "gnome-system-monitor"
4. Click on "Processes"
5. Locate the ".gnome-ring-rea" process
6. Observe the "Memory" usage for a few hours

I don't know if step 2.1 is necessary, but I already had an account created when I noticed the problem for the first time.

## System information

```
$ guix describe
Generation 2	May 20 2019 10:23:06	(current)
  guix 0655c16
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 0655c16e7561cffe2fe26bd9b24af1a0efc2c859
```

---
https://sirgazil.bitbucket.io/